Package org.apache.catalina.tribes.group

## Class AbsoluteOrder

- java.lang.Object
- - org.apache.catalina.tribes.group.AbsoluteOrder

    public class AbsoluteOrder
    extends java.lang.Object

Title: Membership - Absolute Order

Description: A simple, yet agreeable and efficient way of ordering members

Ordering members can serve as a basis for electing a leader or coordinating efforts.
This is stinky simple, it works on the basis of the `Member` interface and orders members in the following format:

1. IP comparison - byte by byte, lower byte higher rank
2. IPv4 addresses rank higher than IPv6, ie the lesser number of bytes, the higher rank
3. Port comparison - lower port, higher rank
4. UniqueId comparison- byte by byte, lower byte higher rank

Version:
  1.0
See Also:
  `Member`

### Nested Class Summary

Nested Classes
`static class` `AbsoluteOrder.AbsoluteComparator`

### Field Summary

Fields
`static AbsoluteOrder.AbsoluteComparator` `comp`

### Constructor Summary

Constructors
`protected` `AbsoluteOrder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `absoluteOrder​(java.util.List<Member> members)`
`static void` `absoluteOrder​(Member[] members)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### comp

    public static final AbsoluteOrder.AbsoluteComparator comp

### Constructor Detail

#### AbsoluteOrder

    protected AbsoluteOrder()

### Method Detail

#### absoluteOrder

    public static void absoluteOrder​(Member[] members)

#### absoluteOrder

    public static void absoluteOrder​(java.util.List<Member> members)